import React, { Component } from "react";
import { connect } from "react-redux";
import { reduxForm, Field } from "redux-form";
import "./adminMyEventsPage.scss";
import * as actions from "../../actions/adminMainPageActions";
import AdminHeader from "../../components/adminHeader/adminHeader";
import Form from "../../components/eventForm/eventReduxForm";
import AdminEventElement from "../../components/adminEventElement/adminEventElement";
import ConfirmationMessage from "../../components/confirmationMessage/confirmationMessage";
import {customSelect} from "../../components/customFields/customSelect/customSelect";

class AdminAddEventPage extends Component {
    state = { 
        confirmationMessageFlag: false
     };

    componentDidMount() {
	    this.props.getEvents();
    }
    
    resetInitValue = () => this.setState({ eventFormInitialValue: {} });

    showConfirmationMessage = () => this.setState({confirmationMessageFlag: true });
    closeConfirmationMessage = () => this.setState({confirmationMessageFlag: false });

    render() {
        const {
            postNewEvent,
            eventList,
            eventFormInitialValue,
            eventTypes
        } = this.props

        console.log('eventList', eventList)
        console.log('confirmationMessageFlag', this.state.confirmationMessageFlag)

		console.log("eventFormInitialValue", eventFormInitialValue);
        return (
            <>
                <AdminHeader />
                <div className="event-page">
                    <div className="event-page__content">
                        <h2 className="event-page__title">MY EVENTS</h2>
 
                        {/* <CustomSearchSelect label = "Event Type" options = {eventTypes} value ={value}/> */}
                        <div className="event-page__container">
                         {eventList && eventList.map(elem =>
                            <AdminEventElement
                                key={elem._id}
                                img={elem.mainBannerPicture}
                                title={elem.title}
                                id={elem._id}
                                // onClick={showCarElement.bind(null, elem.id)}
                            />
                        )}
                        </div>

                        {/* <Form 
                        postNewEvent = {postNewEvent}
                        resetInitValue = {this.resetInitValue}
                        showConfirmationMessage = {this.showConfirmationMessage}
                    /> */}
                    </div>
                </div>

                {this.state.confirmationMessageFlag &&
                    <ConfirmationMessage closeMessage={this.closeConfirmationMessage}>
                        <div className="text">Event has beed changed.</div>
                    </ConfirmationMessage >}
            </>
        );
    }
}

const mapStateToProps = state => ({
    eventList: state.adminMainPageReducer.eventList,
    eventFormInitialValue: state.adminMainPageReducer.eventFormInitialValue,
    eventTypes: state.adminMainPageReducer.eventTypes,
});

export default connect(mapStateToProps, actions)(AdminAddEventPage);